#-------------------------------------------------------------------------
#
#File     :  
#Author(s):  scorpia
#
#Summary  :  code for all terain deforming functions
#
#Copyright  2007 scorpia 
#-------------------------------------------------------------------------

#in order of aperance
#flatten terain code for buldozers



#-------------------------------------------------------------------------
#flattern terain code
#-------------------------------------------------------------------------


flatten = function(self,area,undtoll)
        zone = area/2
        local z = self:GetPosition().z
#        local y = self:GetPosition().y
        local x = self:GetPosition().x

# evaluate average height
        M = GetSurfaceHeight(x,z)
	N = GetSurfaceHeight(x,z+zone)
	NE = GetSurfaceHeight(x+zone,z+zone)
        E = GetSurfaceHeight(x+zone,z)
	SE = GetSurfaceHeight(x+zone,z-zone)
	S = GetSurfaceHeight(x,z-zone)
        SW = GetSurfaceHeight(x-zone,z-zone)
	W = GetSurfaceHeight(x-zone,z)
	NW = GetSurfaceHeight(x-zone,z+zone)
	y=(M+N+NE+E+SE+S+SW+W+NW)/9

# undulation check
if 
M <= SE-undtoll or M >= SE+undtoll or 
M <= SW-undtoll or M >= SW+undtoll or 
M <= NW-undtoll or M >= NW+undtoll or 
M <= NE-undtoll or M >= NE+undtoll 
then
      PrintText("terrain unsutable",20,'FFFFFFFF',10,'center') 
   else 


# level terrain

#        PrintText("X="..x.." z="..z.." y="..y,20,'FFFFFFFF',10,'center')
        x,z = math.floor(x),math.floor(z)
        FlattenMapRect(x-zone, z-zone, area, area, y)

   end 
#code complete
end
