#-------------------------------------------------------------------------
#
#File     :  
#Author(s):  scorpia
#
#Summary  :  Cybran bulldozer
#
#Copyright  2007 scorpia 
#-------------------------------------------------------------------------

local CLandUnit = import('/lua/cybranunits.lua').CLandUnit
local CConstructionUnit = import('/lua/cybranunits.lua').CConstructionUnit
local flatten  = import('/mods/excavators/terain_deform_code.lua').flatten

exc1301 = Class(CLandUnit) {
    BuildBones = {
        YawBone = 'reclaim_point',
        PitchBone = 'reclaim_point',
        BuildEffectBones = {'reclaim_point'},
    },


#-------------------------------------------------------------------------
#flattern terain button
#-------------------------------------------------------------------------

    OnScriptBitSet = function(self, bit)
        CLandUnit.OnScriptBitSet(self, bit)
        if bit == 1 then
        area = 4
        undtoll = 1
        flatten(self,area,undtoll)
        end
    end,

    OnScriptBitClear = function(self, bit)
        CLandUnit.OnScriptBitSet(self, bit)
        if bit == 1 then 
        area = 4
        undtoll = 1
        flatten(self,area,undtoll)
        end
    end,


}

TypeClass = exc1301